<< sinetone | FOSSEE_Signal_Processing_Toolbox | slewrate >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > sinewave

# sinewave

Return a m-element vector with the i-th element given by {sin (2 * pi * (i+d-1) / n}.

### Syntax

    y= sinewave(m)
    y= sinewave(m,n)
    y= sinewave(m,n,d)

### Parameters

m:

  Real positive scalar

n:

  The value of n in the formula {sin (2 * pi * (i+d-1) / n}. The default value for n is m.

d:

  The value of d in the formula {sin (2 * pi * (i+d-1) / n}. The default value for d is 0.

### Examples

    sinewave(1, 4, 1)

Report an issue
<< sinetone | FOSSEE_Signal_Processing_Toolbox | slewrate >>